Subject: Re: bug#70330: [PATCH] Add new custom option `TeX-fold-region-functions'

From: Arash Esbati <[email-masked]>
Date: Thu, 11 Apr 2024 08:30:25 +0200

Hi Paul,

Paul Nelson <[email-masked]> writes:

> This patch adds a hook TeX-fold-region-functions, called at the end of
> TeX-fold-region.
>
> The motivation is that this can be used to fold miscellaneous tex
> stuff.  For example, in https://github.com/ultronozm/czm-tex-fold.el,
> I have used similar functionality, implemented via :after advice, to
> fold quotes, dashes, and \verb|...| constructs.  The new variable
> would allow me to excise the advice.

Thanks for the patch; I think it makes sense to offer an interface for
additional functions.  Since this is implemented as a `defcustom', can
you please also add an entry to the manual and resend the patch?  I will
then install it.

TIA.  Best, Arash